package com.yunniu.farming.webadmin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunniu.farming.webadmin.model.Integralrec;

import java.util.List;

public interface IntegralrecDao extends BaseMapper<Integralrec> {
    
    int deleteByPrimaryKey(Integer id);

    

    
    int insertSelective(Integralrec record);

    
    Integralrec selectByPrimaryKey(Integer id);

    
    int updateByPrimaryKeySelective(Integralrec record);

    
    int updateByPrimaryKey(Integralrec record);
    /**
   	 * 带参查询 普通查询对象集合
   	 * 
   	 * @return
   	 */
   	List<Integralrec> selectByParam(Integralrec integralrec);

   /**
    * 带参分页查询对象集合
    * @param map.pinfo => PageInfo 分页对象；
    * @param map.main => PaperMain 实体对象类；
    * @return
    */
  List<Integralrec> selectByParamPageList(Integralrec integralrec);

   /**
    *计算用户积分 
    */
   Double sumIntegral(Integralrec item);
}